# Online Multi-use Listings These endpoints are no longer supported. We do not recommend using these endpoints. ## Create a new multi-use listing for the logged-in user (deprecated) - [POST /me/multi_use_listings/create](https://docs.trustap.com/apis/openapi/online-multi-use-listings/basic.createmultiuselisting.md): Multi-use listings are disabled once payment has been submitted for a transaction created from it. Offline access is allowed for this endpoint when the user has granted the basic_ls:offline_create scope to the client that is performing the request. ## Delete this listing (deprecated) - [DELETE /multi_use_listings/{listing_id}](https://docs.trustap.com/apis/openapi/online-multi-use-listings/basic.deletemultiuselisting.md) ## Get a listing by its ID (deprecated) - [GET /multi_use_listings/{listing_id}](https://docs.trustap.com/apis/openapi/online-multi-use-listings/basic.getmultiuselisting.md) ## Patch listing properties (deprecated) - [PATCH /multi_use_listings/{listing_id}](https://docs.trustap.com/apis/openapi/online-multi-use-listings/basic.updatemultiuselisting.md) ## Create a transaction from this listing (deprecated) - [POST /multi_use_listings/{listing_id}/create_transaction](https://docs.trustap.com/apis/openapi/online-multi-use-listings/basic.createtransactionfrommultiuselisting.md): Calling /create_transaction with no parameters will create a new transaction with the details provided by the listing. The optional quantity parameter can be passed to create a transaction for a multiple of the original listing. In this case, the price and charge for the new transaction will also need to be passed. As an example, consider a listing for a chair with a price of 1234 EUR. If a user wants to buy 10 of these in a single transaction then the charge for the total can be retrieved using GET /charge?price=1234¤cy=usd&quantity=10 (note the addition of the optional quantity parameter at the end). This will return a price of 12340 and an associated charge. These new values must then be passed to /create_transaction with quantity=10, which will create a new transaction with the new pricing information. The new transaction will also include a quantity field, which doesn't have a functional effect on the transaction, but is included for informational purposes. Note that this functionality is not available for single-use listings, from which only singular transactions may be created. ## Create a transaction from this listing (deprecated) - [POST /multi_use_listings/{listing_id}/create_transaction_with_guest_buyer](https://docs.trustap.com/apis/openapi/online-multi-use-listings/basic.createtransactionwithguestbuyerfrommultiuselisting.md) ## Disable this listing (deprecated) - [POST /multi_use_listings/{listing_id}/disable](https://docs.trustap.com/apis/openapi/online-multi-use-listings/basic.disablemultiuselisting.md): Calling /create_transaction on a disabled listing will return a 400 response. ## Enable this listing (deprecated) - [POST /multi_use_listings/{listing_id}/enable](https://docs.trustap.com/apis/openapi/online-multi-use-listings/basic.enablemultiuselisting.md) ## Set description for this listing (deprecated) - [POST /multi_use_listings/{listing_id}/set_description](https://docs.trustap.com/apis/openapi/online-multi-use-listings/basic.setmultiuselistingdescription.md) ## Set pricing for this listing (deprecated) - [POST /multi_use_listings/{listing_id}/set_pricing](https://docs.trustap.com/apis/openapi/online-multi-use-listings/basic.setmultiuselistingpricing.md)